# $Revision: 1.11 $, $Date: 2011/02/28 21:46:36 $
# maybe TODO: emacs stuff
Summary:	ID database utilities
Summary(pl.UTF-8):	Narzędzia do bazy danych identyfikatorów
Name:		idutils
Version:	4.5
Release:	2
License:	GPL v3+
Group:		Applications
Source0:	http://ftp.gnu.org/gnu/idutils/%{name}-%{version}.tar.xz
# Source0-md5:	d8ef86c82dec20ca2f97a387a1fa7c33
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://www.gnu.org/software/idutils/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Obsoletes:	id-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_sysconfdir}

%description
`mkid' is a simple, fast, high-capacity, language-independent
identifier database tool. Actually, the term `identifier' is too
limiting - `mkid' stores tokens, be they program identifiers of any
form, literal numbers, or words of human-readable text. Database
queries can be issued from the command-line, or from within emacs,
serving as an augmented tags facility.

%description -l pl.UTF-8
mkid to proste, szybkie, o dużej pojemności, niezależne od języka
narzędzie do baz danych identyfikatorów. Właściwie termin
"identyfikator" jest zbyt wąski - mkid przechowuje tokeny, które mogą
być identyfikatorami programu w dowolnej formie, liczbami czy słowami.
Zapytania do bazy danych mogą być wydawane z linii poleceń lub spod
emacsa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/aid
%attr(755,root,root) %{_bindir}/defid
%attr(755,root,root) %{_bindir}/eid
%attr(755,root,root) %{_bindir}/fid
%attr(755,root,root) %{_bindir}/fnid
%attr(755,root,root) %{_bindir}/gid
%attr(755,root,root) %{_bindir}/lid
%attr(755,root,root) %{_bindir}/mkid
%attr(755,root,root) %{_bindir}/xtokid
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/id-lang.map
%{_mandir}/man1/aid.1*
%{_mandir}/man1/defid.1*
%{_mandir}/man1/eid.1*
%{_mandir}/man1/fid.1*
%{_mandir}/man1/fnid.1*
%{_mandir}/man1/gid.1*
%{_mandir}/man1/lid.1*
%{_mandir}/man1/mkid.1*
%{_mandir}/man1/xtokid.1*
%{_infodir}/idutils.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: idutils.spec,v $
Revision 1.11  2011/02/28 21:46:36  glen
- call fix-info-dir; rel 2

Revision 1.10  2010/11/13 22:01:25  qboosh
- updated to 4.5
- updated info,pl.po-update patches

Revision 1.9  2008/04/08 08:24:52  glen
- unify ftp.gnu.org urls

Revision 1.8  2007-08-08 22:04:57  qboosh
- updated to 4.2 (project has been renamed from id-utils to idutils)
- updated info patch, removed obsolete dirs,po patches
- added pl.po-update patch

Revision 1.7  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.5  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.4  2004/08/04 06:23:49  ankry
- i18n fixes (-po patch), rel. 2

Revision 1.3  2004/02/21 16:27:23  qboosh
- back to 3.2d (less ancient... 1999 vs 1996), restored previous dirs patch
- changed Source0 URL to working one

Revision 1.2  2004/02/20 15:52:00  siefca
- package rebithed (seems e.g. 'global' wants it)

Revision 1.1  2003/07/27 09:25:53  qboosh
- new
- info patch for standard directory entry
- dirs patch to move id-lang.map from /usr/share to /etc
